
Name:           transmission
Version:        1.34
Release:        1%{?dist}
Summary:        A lightweight GTK+ BitTorrent client

Group:          Applications/Internet
# See COPYING. This licensing situation is... special.
License:        MIT and GPLv2
URL:            http://www.transmissionbt.com/
Source0:        http://download.m0k.org/transmission/files/transmission-%{version}.tar.bz2
Patch2:         transmission-1.11-copt.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel >= 2.6.0
BuildRequires:  curl-devel >= 7.15.0
BuildRequires:  dbus-glib-devel >= 0.70
BuildRequires:  desktop-file-utils
BuildRequires:  gettext intltool
BuildRequires:  openssl-devel


%description
Transmission is a free, lightweight BitTorrent client. It features a
simple, intuitive interface on top on an efficient, cross-platform
back-end.


%prep
%setup -q
%patch2 -p1 -b .copt


%build
%configure --with-gtk --without-wx
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

desktop-file-install --vendor fedora \
        --delete-original \
        --dir $RPM_BUILD_ROOT/%{_datadir}/applications/ \
        $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
update-desktop-database > /dev/null 2>&1 || :


%postun
update-desktop-database > /dev/null 2>&1 || :


%files -f %{name}.lang
%defattr(-, root, root, -)
%doc AUTHORS COPYING NEWS README
%{_bindir}/transmission*
%{_datadir}/transmission
%{_datadir}/pixmaps/*
%{_datadir}/icons/hicolor/*/apps/transmission.*
%{_datadir}/applications/*transmission.desktop
%doc %{_mandir}/man1/transmission*


%changelog
* Sat Mar 28 2009 Denis Leroy <denis@poolshark.org> - 1.34-1
- Initial EL-5 version, based on F-10 1.34 version
